import { EpochMillis, SizeInBytes } from "../../../common/model/Primitives";
import { EpochMillisUnboxed, FileSizeUnboxed } from "../../../common/model/UnboxedPrimitives";
export interface StorageStatisticsSegmentDto {
    firstFileCreated: EpochMillis | undefined;
    lastFileCreated: EpochMillis | undefined;
    totalFileCount: number;
    totalFileSize: SizeInBytes;
}
export interface StorageStatisticsSegmentUnboxedDto {
    firstFileCreated: EpochMillisUnboxed | null;
    lastFileCreated: EpochMillisUnboxed | null;
    totalFileCount: number;
    totalFileSize: FileSizeUnboxed;
}
export declare namespace StorageStatisticsSegmentDto {
    const empty: StorageStatisticsSegmentDto;
    function combine(left: StorageStatisticsSegmentDto, right: StorageStatisticsSegmentDto): StorageStatisticsSegmentDto;
}
