import { StorageStatisticsSegmentDto, StorageStatisticsSegmentUnboxedDto } from "../../../statistics/storage/dtos/StorageStatisticsSegmentDto";
import { UploadStatisticsDto, UploadStatisticsUnboxedDto } from "../../../statistics/storage/dtos/UploadStatisticsDto";
export interface StorageStatisticsDto {
    caches: {
        [cacheId: string]: StorageStatisticsSegmentDto | undefined;
    };
    uploads: UploadStatisticsDto;
}
export interface StorageStatisticsUnboxedDto {
    caches: {
        [cacheId: string]: StorageStatisticsSegmentUnboxedDto | null;
    };
    uploads: UploadStatisticsUnboxedDto;
}
export declare namespace StorageStatisticsDto {
    const empty: StorageStatisticsDto;
    function combine(left: StorageStatisticsDto, right: StorageStatisticsDto): StorageStatisticsDto;
}
